Add Reaction
POST
/api/canvas/{deal_id}/comments/{comment_id}/reactions
const url = 'https://example.com/api/canvas/example/comments/example/reactions';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"emoji":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/canvas/example/comments/example/reactions \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "emoji": "example" }'Toggle a reaction on a comment. Adds if not present, removes if present.
RequireCommenter — viewers cannot react.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” deal_id
required
Deal Id
string
comment_id
required
Comment Id
string
Request Body required
Section titled “Request Body required ” Media type application/json
AddReactionRequest
object
emoji
required
Emoji
string
Example generated
{ "emoji": "example"}Responses
Section titled “ Responses ”Successful Response
Media type application/json
ReactionResponse
Response from POST/DELETE comment reactions endpoints. action is
"added", "removed", or "noop"; reactions is the post-mutation
full reaction map (emoji → list of user_ids).
object
action
required
Action
string
reactions
Reactions
object
key
additional properties
Array<string>
Example generated
{ "action": "example", "reactions": { "additionalProperty": [ "example" ] }}Validation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}